<template>
  <div class="container">
    <MainLayout />
  </div>
</template>

<script>
import MainLayout from "./components/MainLayout";
export default {
  name: "App",
  components: {
    MainLayout,
  },
};
</script>

<style>
@import "./assets/styles/responsive.css";
* {
  padding: 0;
  margin: 0;
  font-family: Arial, Helvetica, sans-serif;
}

/* flex common css class */

.flex {
  display: flex;
}

.flex-center {
  justify-content: center;
  align-items: center;
}
.justify-center {
  justify-content: center;
}
.align-items {
  align-items: center;
}

.sizing {
  justify-content: space-between;
}

.container {
  background-color: #cccccc;
  padding-bottom: 30px;
  min-height: 100vh;
}

.loading > img {
  width: 200px;
}

.no-result-image {
  height: 450px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 4rem;
}

.no-result-image > img {
  height: 100%;
  width: 50%;
  box-shadow: 1px 1px 12px black;
  border-radius: 2rem;
}

.no-result-image > img:hover {
  box-shadow: 1px 1px 12px yellow;
  animation: blink 0.3s linear 1;
}
@keyframes blink {
  0% {
    transform: translate(30px);
  }

  20% {
    transform: translate(-30px);
  }

  40% {
    transform: translate(15px);
  }
  60% {
    transform: translate(-15px);
  }
  80% {
    transform: translate(8px);
  }
  100% {
    transform: translate(0);
  }
}

/* main style */
.main {
  padding: 0 8rem 0 8rem;
}
</style>
